unit VisDataboardParProp;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls;

type
  TVisDataboardParPropForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    edText: TEdit;
    edTagname: TEdit;
    Button1: TButton;
    Button2: TButton;
    Label8: TLabel;
    cbChannel: TCheckBox;
    pnlTrans: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    memoTrans: TMemo;
    memoEnum: TMemo;
    edDecnum: TEdit;
    udDecnum: TUpDown;
    cbAdminAccess: TCheckBox;
    procedure cbChannelClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  VisDataboardParPropForm: TVisDataboardParPropForm;

implementation

{$R *.dfm}

procedure TVisDataboardParPropForm.cbChannelClick(Sender: TObject);
begin
  pnlTrans.Visible := not cbChannel.Checked;
end;

procedure TVisDataboardParPropForm.FormActivate(Sender: TObject);
begin
  cbChannelClick(nil);
end;

end.
